Subject: [376] Re: [361] Re: [360] Re: [359] Re: [357] dir problem solved

From: [email-masked] (Howard Yeung)
Date: Wed, 17 Aug 1994 14:35:30 +0500

> From [email-masked] Mon Aug 15 22:34 EDT 1994
> Date: Mon, 15 Aug 1994 21:11:37 -0500
> From: Jon Hamilton <[email-masked]>
> Subject: [361] Re: [360] Re:  [359] Re: [357] dir problem solved
> To: [email-masked]
> Content-Transfer-Encoding: 7BIT
> 
> >Get the GNU fileutils off any archive site near you. I got it from
> >prep.ai.mit.edu in /pub/gnu dir. Compile "ls" with the -static option and
> >that's all. Copy the compiled ls to ~ftp/bin and you don't need the libraries
> >that you were supposed to copy over for the dynamically linked ls.
> 
> This will "solve" the dir problem, but be aware that on the fly
> compression/tarring won't work if you don't have the appropriate 
> libraries (unless you do the same thing with tar and gzip, of course).
> 
> --
> +----------------------------------------------------------------+
> |   Jon Hamilton  [email-masked] | [email-masked]      |
> |   CS Solaris Systems Support Group, Iowa State University      |
> +----------------------------------------------------------------+
> 
Hi Everyone,

Sorry to waste any net bandwidth.
Anyway I hope it is a quick question.
I ftp the GNU fileutils and try to compile it with the '-static' flag.
I cannot figure out where I should make the change, ie the Makefile, 
congure.status, etc.  I try to follow the INSTALL file and it is
not too helpful.  Can you give me some hints?

Thanks in advance.

Howard Yeung

---

From: "Alec H. Peterson" <[email-masked]>
Date: Wed, 17 Aug 1994 15:13:59 -0400 (EDT)

>not too helpful.  Can you give me some hints?

You need to put it in the CFLAGS portion of the Makefile (this is all
assuming that you're using gcc).  If it's cc, you gotta use -Bstatic.

Alec

-- 
Alec Peterson                           Panix Public Access UNIX and Internet
[email-masked]                       New York City, NY